Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class Advice

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.Advice`

public class Advice
extends oracle.security.xmlsec.util.XMLElement

The SAML Advice Element used in an Assertion element contains additional information the issuer of the assertion wishes to provide. This information may be ignored by the appliaction without affecting either the semantics or the validity of the assertion.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Advice(org.w3c.dom.Document owner)` Creates a new `Advice` instance.
`Advice(org.w3c.dom.Element element)` Creates a new `Advice` instance from the given Element node.
`Advice(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `Advice` instance from the given Element node.

Method Summary
`void` | `addAssertion(Assertion assertion)` Adds an `Assertion` to this `Advice` element.
`void` | `addAssertionIDReference(java.lang.String id)` Adds an ID that refers to a specific Assertion.
`java.util.List` | `getAssertionIDReferences()` Returns a list of assertion IDs.
`java.util.List` | `getAssertions()` Returns a list of assertions.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Advice

    public Advice(org.w3c.dom.Element element)
           throws org.w3c.dom.DOMException

  Creates a new `Advice` instance from the given Element node.
Parameters:
  `element` - An Advice element.

### Advice

    public Advice(org.w3c.dom.Element element,
                  java.lang.String SystemId)
           throws org.w3c.dom.DOMException

  Creates a new `Advice` instance from the given Element node.
Parameters:
  `element` - An Advice element.

### Advice

    public Advice(org.w3c.dom.Document owner)
           throws org.w3c.dom.DOMException

  Creates a new `Advice` instance.
Parameters:
  `owner` - The owner document of the new Advice.

Method Detail

### addAssertionIDReference

    public void addAssertionIDReference(java.lang.String id)

  Adds an ID that refers to a specific Assertion.
  Parameters:
    `id` - An String representing the ID of an assertion.

### getAssertionIDReferences

    public java.util.List getAssertionIDReferences()

  Returns a list of assertion IDs.
  Returns:
    A `List` object containing String objects, or an empty `List` if no ID has been set.

### addAssertion

    public void addAssertion(Assertion assertion)

  Adds an `Assertion` to this `Advice` element.

### getAssertions

    public java.util.List getAssertions()

  Returns a list of assertions.
  Returns:
    A `List` object containing `Assertion` objects, or an empty `List` if no assertion has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.